Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Interface IWorkingCopyManager

public interface IWorkingCopyManager

Interface for accessing working copies of `ICompilationUnit` objects. The original compilation unit is only given indirectly by means of an `IEditorInput`. The life cycle is as follows:

- `connect` creates and remembers a working copy of the compilation unit which is encoded in the given editor input
- `getWorkingCopy` returns the working copy remembered on `connect`
- `disconnect` destroys the working copy remembered on `connect`

This interface is not intended to be implemented by clients.

See Also:
  `JavaUI.getWorkingCopyManager()`

Method Summary
`void` | `connect(IEditorInput input)` Connects the given editor input to this manager.
`void` | `disconnect(IEditorInput input)` Disconnects the given editor input from this manager.
`ICompilationUnit` | `getWorkingCopy(IEditorInput input)` Returns the working copy remembered for the compilation unit encoded in the given editor input.
`void` | `shutdown()` Shuts down this working copy manager.

Method Detail

### connect

    public void connect(IEditorInput input)
                 throws CoreException

  Connects the given editor input to this manager. After calling this method, a working copy will be available for the compilation unit encoded in the given editor input (does nothing if there is no encoded compilation unit).

  Parameters:
    `input` - the editor input
  Throws:
    `CoreException` - if the working copy cannot be created for the compilation unit

### disconnect

    public void disconnect(IEditorInput input)

  Disconnects the given editor input from this manager. After calling this method, a working copy for the compilation unit encoded in the given editor input will no longer be available. Does nothing if there is no encoded compilation unit, or if there is no remembered working copy for the compilation unit.

  Parameters:
    `input` - the editor input

### getWorkingCopy

    public ICompilationUnit getWorkingCopy(IEditorInput input)

  Returns the working copy remembered for the compilation unit encoded in the given editor input.

  Parameters:
    `input` - the editor input
  Returns:
    the working copy of the compilation unit, or `null` if the input does not encode an editor input, or if there is no remembered working copy for this compilation unit

### shutdown

    public void shutdown()

  Shuts down this working copy manager. All working copies still remembered by this manager are destroyed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.